/*
 ChangeBgWindowController.m
 jigplay-macos
 
 Created by François Pessaux on 16/09/10.
 Copyright 2010. All rights reserved.
*/

#import "ChangeBgWindowController.h"
#include "alerts_n_errors.h"
#include "misc.h"


@implementation ChangeBgWindowController



- (IBAction) showChangeBgDialog: (id) sender
{
	[NSApp beginSheet: bgColorDialog
     modalForWindow: mainWindow
      modalDelegate: self
     didEndSelector: @selector (didEndChangeBgColorSheet:returnCode:contextInfo:)
        contextInfo: nil] ;
}



/** Called when the sheet has been closed. Must be implemented otherwise the
    dialog will never close since we set this method as destination selector of
    the sheet. */
- (void) didEndChangeBgColorSheet: (NSWindow *) sheet
                       returnCode: (int) returnCode
                      contextInfo: (void*) contextInfo
{
  /* if (sheet == changeBackgroundColorDialog) { Do something if needed. } */
  
  /* Dismiss the sheet. */
  [sheet orderOut: self] ; 
}



/** Callback called when the Cancel button of the dialog allowing to change the
    background color is called. */
- (IBAction) closeChangeBgDialogCancel: (id) sender
{
  [NSApp endSheet: bgColorDialog] ;
}



/** Callback called when the Ok button of the dialog allowing to change the
    background color is called. */
- (IBAction) closeChangeBgDialogOk: (id) sender
{
  NSColor *newColor = [bgColorColorWell color] ;
  /* Close the dialog. */
  [NSApp endSheet: bgColorDialog] ;
  /* Send the color change command. */
  [playAreaView changeBackgroundColor: newColor] ;
}

@end
