/*
 NewGameSettingsWindowController.h
 jigplay-macos

 Created by François Pessaux on 26/09/10.
 Copyright 2010. All rights reserved.
*/

#import <Foundation/Foundation.h>
#import "PlayAreaView.h"

#include "resolutions_suggestion.h"


@interface NewGameSettingsWindowController : NSObject {
  IBOutlet NSWindow *mainWindow ;
  IBOutlet PlayAreaView *playAreaView ;
  IBOutlet NSWindow *newGameSettingsDialog ;
  IBOutlet NSTextField *pictureFileNameTextField ;
  IBOutlet NSButton *scaleCheckButton ;
  IBOutlet NSSlider *scaleFactorSlider ;
  IBOutlet NSTextField *widthTextField ;
  IBOutlet NSTextField *heightTextField ;
  IBOutlet NSButton *okButton ;
  IBOutlet NSButton *cancelButton ;
  IBOutlet NSPopUpButton *resolutionsPopupButton ;
  IBOutlet NSTextField *averagePieceSizeTextField ;
  int original_image_width ;
  int original_image_height ;
  int scaled_image_width ;
  int scaled_image_height ;
  float scale_factor ;
  int nb_found_resolutions ;
  struct resolution *resolutions ;
  id resolutionsTexts ;
}

- (IBAction) showNewGameSettingsDialog: (id) sender ;
- (IBAction) resolutionPopupButtonClicked: (id) sender ;
- (IBAction) closeNewGameSettingsDialogCancel: (id) sender ;
- (IBAction) closeNewGameSettingsDialogOk: (id) sender ;
- (IBAction) selectImageFile: (id) sender ;
- (IBAction) toggleScaleFactorSliderState : (id) sender ;
- (IBAction) scaleFactorSliderMoved:(id) sender ;


@end
