/*
 ShowImageWindowController.m
 jigplay-macos
 
 Created by François Pessaux on 28/09/10.
 Copyright 2010. All rights reserved.
*/

#import "ShowImageWindowController.h"
#include "game_struct.h"


@implementation ShowImageWindowController

- (IBAction) openImageWindowCallback: (id) sender
{
  NSSize img_size ;
  NSImage *img = [NSImage alloc] ;
  struct game *game = [playAreaView getCurrentGame] ;
  
  if ((game == NULL) || (game->game_image == NULL)) return ;
  img_size.width = game->image_width ;
  img_size.height = game->image_height ;
  [img initWithCGImage: game->game_image size: img_size] ;
  [imageView setImage: img] ;
  [imageWindow makeKeyAndOrderFront: sender] ;
}



/** Closes the window displaying the aimed picture.
    Attention, in order to keep the window alive, we unchecheck the flags
    "Release When Closed" under the Interface Builder, otherwise, once closed
    the pointer on the window gets dandling. */
- (IBAction) closeImageWindowCallback: (id) sender
{
  [imageWindow close] ;
}

@end
